/*
  Switch.h - Library for handling switches
*/

#include <Arduino.h>
#include "switches.h"
   
class Ui {
  public:
    Ui() { }
    ~Ui() { } 
    
    void Init();
    void DoEvents();
    void Poll();
    void SwitchOctave();
    void HandleKeyboard();
    void PaintOctaveLeds();
    void test();
  private:
    Switches switches_;  // instance of Switches class
    uint16_t press_time_[27];
    uint16_t release_time_[27];
    boolean action_done_[27];
    boolean release_action_done_[27];
    uint8_t octave;             // variable for saving the current octave setting 
    

};


